API Reference for Marketo Engage

Update Field Positions

POST /rest/asset/v1/form/{id}/reArrange.json

Reorders the list of fields in a form.

Operation ID
updateFieldPositionsUsingPOST
Permissions
Read-Write Assets
Request format
application/x-www-form-urlencoded
Returns
ResponseOfIdResponse

Parameters

Path 1

id integer (int32) required

Request body

application/x-www-form-urlencoded · optional · ReArrangeRequest · 5 properties

Sent as URL-encoded form fields. Object properties are sent as JSON text in their field.

positions array of UpdateFieldPosition

Model UpdateFieldPosition

columnNumber integer (int32) required

Column number of the field

fieldList array of UpdateFieldPosition Repeats UpdateFieldPosition

List of positions inside the fields. Only valid if the target is a fieldset

fieldName string required

Id of the field

rowNumber integer (int32) required

Row number of the field

Responses

200 OK ResponseOfIdResponse
errors array of Error

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

requestId string
result array of IdResponse

Model IdResponse

id integer (int32) required

Id of the asset

success boolean
warnings array of string
Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Generated from swagger-asset.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results